Open CASCADE Technology  7.5.0.beta
Static Public Member Functions
DsgPrs_IdenticPresentation Class Reference

#include <DsgPrs_IdenticPresentation.hxx>

Static Public Member Functions

static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const TCollection_ExtendedString &aText, const gp_Pnt &aPntAttach, const gp_Pnt &aPntOffset)
 draws a line between <aPntAttach> and <aPntOffset>. More...
 
static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const TCollection_ExtendedString &aText, const gp_Pnt &aFAttach, const gp_Pnt &aSAttach, const gp_Pnt &aPntOffset)
 draws the 'identic' presentation by drawing a line between <aFAttach> and <aSAttach> , and a linkimg segment between <aPntOffset> and its projection on the precedent line. More...
 
static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const TCollection_ExtendedString &aText, const gp_Ax2 &aAx2, const gp_Pnt &aCenter, const gp_Pnt &aFAttach, const gp_Pnt &aSAttach, const gp_Pnt &aPntOffset)
 draws the 'identic' presentation in the case of circles : draws an arc of circle between <aFAttach> and <aSAttach> of center <aCenter> and of radius dist(aCenter, aFAttach), and draws a segment between <aPntOffset> and its projection on the arc. More...
 
static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const TCollection_ExtendedString &aText, const gp_Ax2 &aAx2, const gp_Pnt &aCenter, const gp_Pnt &aFAttach, const gp_Pnt &aSAttach, const gp_Pnt &aPntOffset, const gp_Pnt &aPntOnCirc)
 draws the 'identic' presentation in the case of circles : draws an arc of circle between <aFAttach> and <aSAttach> of center <aCenter> and of radius dist(aCenter, aFAttach), and draws a segment between <aPntOffset> and <aPntOnCirc> More...
 
static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const TCollection_ExtendedString &aText, const gp_Elips &anEllipse, const gp_Pnt &aFAttach, const gp_Pnt &aSAttach, const gp_Pnt &aPntOffset, const gp_Pnt &aPntOnElli)
 draws the 'identic' presentation in the case of ellipses: draws an arc of the anEllipse between <aFAttach> and <aSAttach> and draws a segment between <aPntOffset> and <aPntOnElli> More...
 

Member Function Documentation

◆ Add() [1/5]

static void DsgPrs_IdenticPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const TCollection_ExtendedString aText,
const gp_Pnt aPntAttach,
const gp_Pnt aPntOffset 
)
static

draws a line between <aPntAttach> and <aPntOffset>.

◆ Add() [2/5]

static void DsgPrs_IdenticPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const TCollection_ExtendedString aText,
const gp_Pnt aFAttach,
const gp_Pnt aSAttach,
const gp_Pnt aPntOffset 
)
static

draws the 'identic' presentation by drawing a line between <aFAttach> and <aSAttach> , and a linkimg segment between <aPntOffset> and its projection on the precedent line.

◆ Add() [3/5]

static void DsgPrs_IdenticPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const TCollection_ExtendedString aText,
const gp_Ax2 aAx2,
const gp_Pnt aCenter,
const gp_Pnt aFAttach,
const gp_Pnt aSAttach,
const gp_Pnt aPntOffset 
)
static

draws the 'identic' presentation in the case of circles : draws an arc of circle between <aFAttach> and <aSAttach> of center <aCenter> and of radius dist(aCenter, aFAttach), and draws a segment between <aPntOffset> and its projection on the arc.

◆ Add() [4/5]

static void DsgPrs_IdenticPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const TCollection_ExtendedString aText,
const gp_Ax2 aAx2,
const gp_Pnt aCenter,
const gp_Pnt aFAttach,
const gp_Pnt aSAttach,
const gp_Pnt aPntOffset,
const gp_Pnt aPntOnCirc 
)
static

draws the 'identic' presentation in the case of circles : draws an arc of circle between <aFAttach> and <aSAttach> of center <aCenter> and of radius dist(aCenter, aFAttach), and draws a segment between <aPntOffset> and <aPntOnCirc>

◆ Add() [5/5]

static void DsgPrs_IdenticPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const TCollection_ExtendedString aText,
const gp_Elips anEllipse,
const gp_Pnt aFAttach,
const gp_Pnt aSAttach,
const gp_Pnt aPntOffset,
const gp_Pnt aPntOnElli 
)
static

draws the 'identic' presentation in the case of ellipses: draws an arc of the anEllipse between <aFAttach> and <aSAttach> and draws a segment between <aPntOffset> and <aPntOnElli>


The documentation for this class was generated from the following file: